Discussion:
[e1] eisgraph v1.4.1: Fehler beim update
(zu alt für eine Antwort)
W. Loefstedt
2019-12-19 09:18:52 UTC
Permalink
Hallo allerseits,
beim update auf eisgraph v1.4.1 landet das Modul eisgraph_mod_hddtemp in
einer Schleife:

------------------------------------cut here----------------------------
Updating eisgraph ...

eisgraph_mod_hddtemp
'eisgraph_mod_hddtemp' package version must be 1.4.0 or higher.

Install (y/n) [yes]?
Downloading required packages ...
Done!
Installation of: eisgraph (1.4.1) ...
Updating eisgraph ...

eisgraph_mod_hddtemp
'eisgraph_mod_hddtemp' package version must be 1.4.0 or higher.

Install (y/n) [yes]?
------------------------------------cut here----------------------------

Was kann ich machen?

Gruss, Wolfgang
Thomas Quast
2019-12-20 03:38:00 UTC
Permalink
Hallo Wolfgang,
Post by W. Loefstedt
beim update auf eisgraph v1.4.1 landet das Modul eisgraph_mod_hddtemp in
Sehe ich mir am Wochenende an. Ich hoffe, Du kannst Dich bis dahin noch
etwas gedulden. ;-)

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
W. Loefstedt
2019-12-20 06:41:36 UTC
Permalink
Post by Thomas Quast
Sehe ich mir am Wochenende an. Ich hoffe, Du kannst Dich bis dahin noch
etwas gedulden. ;-)
Danke und Gruss,
Wolfgang
Rene Hanke
2020-04-16 07:11:51 UTC
Permalink
Hallo Thomas,

bei mir das gleiche Problem. Ich wollte auch artig zuerst die
'eisgraph_mod_hddtemp' und 'eisgraph_mod_lmsensors' updaten (komme noch
von den 1.2.X - Versionen), er lÀsst mich aber nicht, weil er Eisgraph
aktualisieren will:

Installation of: eisgraph (1.4.1) ...
Updating eisgraph ...

eisgraph_mod_hddtemp
'eisgraph_mod_hddtemp' package version must be 1.4.0 or higher.

Install (y/n) [yes]? y
Downloading required packages ...
Done!
Installation of: eisgraph (1.4.1) ...
Updating eisgraph ...

eisgraph_mod_hddtemp
'eisgraph_mod_hddtemp' package version must be 1.4.0 or higher.

Install (y/n) [yes]? n

eisgraph_mod_hddtemp
Please, solve that first.

Press ENTER to continue

eisgraph_mod_lmsensors
'eisgraph_mod_lmsensors' package version must be 1.4.0 or higher.

Install (y/n) [yes]? y
Downloading required packages ...
=> [####################] eisgraph_mod_lmsensors (1.4.0)...
[ OK ]
Done!
Installation of: eisgraph (1.4.1) ...
Updating eisgraph ...

eisgraph_mod_hddtemp
'eisgraph_mod_hddtemp' package version must be 1.4.0 or higher.

Install (y/n) [yes]? n

eisgraph_mod_hddtemp
Please, solve that first.

Press ENTER to continue

eisgraph_mod_lmsensors
'eisgraph_mod_lmsensors' package version must be 1.4.0 or higher.

Install (y/n) [yes]? n

eisgraph_mod_lmsensors
Please, solve that first.


Hilfe?


Lieber Gruß

René
Rene Hanke
2020-04-16 07:15:10 UTC
Permalink
Wird noch besser, nun dies:

eisgraph_mod_lmsensors
'eisgraph_mod_lmsensors' package version must be 1.4.0 or higher.

Install (y/n) [yes]? n

eisgraph_mod_lmsensors
Please, solve that first.

Press ENTER to continue
check targets ...
create scripts ...
create graphics ...
creating webpages classic style ...
adding crontab entry ...

Update Targetlist ...
Update Fontlist ...
[Done]

Successfully installed: eisgraph (1.4.1)!
Installation of: eisgraph_mod_lmsensors (1.4.0) ...
collect label ...
create basescripts for Voltage ...
create basescripts for Fanspeed ...
create basescripts for Temperature ...
check targets ...
create scripts ...
creating webpages classic style ...
adding crontab entry ...

Successfully installed: eisgraph_mod_lmsensors (1.4.0)!
check targets ...
create scripts ...
create graphics ...
creating webpages classic style ...
adding crontab entry ...

Update Targetlist ...
Update Fontlist ...
[Done]

Successfully installed: eisgraph (1.4.1)!
Installation of: eisgraph_mod_hddtemp (1.4.0) ...
check targets ...
create scripts ...
creating webpages classic style ...
adding crontab entry ...

Successfully installed: eisgraph_mod_hddtemp (1.4.0)!
check targets ...
create scripts ...
create graphics ...
creating webpages classic style ...
adding crontab entry ...

Update Targetlist ...
Update Fontlist ...
[Done]

Successfully installed: eisgraph (1.4.1)!
Installation of: eisgraph_mod_hddtemp (1.4.0) ...
error: unable to find package file for "eisgraph_mod_hddtemp"!
error: installation aborted!



Doppelhilfe?

René
Rene Hanke
2020-04-16 07:21:49 UTC
Permalink
Also irgendwie hat er dann doch alles geupdated. Habe die Module dann
nochmal drÃŒber gebÃŒgelt und eisgraph auch nochmal, scheint zu laufen.


Ich fand das Erlebnis aber sehr unschön und wÃŒrde es begrÌßen, wenn
Du, Thomas, Dir dieses Problem, welches seit Dezember 2019 bekannt ist,
vielleicht doch mal vornehmen könntest...?

Es wird ja noch andere geben, die mal updaten wollen.


Lieber Gruß und Dank

René
Thomas Quast
2020-04-16 17:21:00 UTC
Permalink
Hallo Rene,
Post by Rene Hanke
bei mir das gleiche Problem. Ich wollte auch artig zuerst die
'eisgraph_mod_hddtemp' und 'eisgraph_mod_lmsensors' updaten (komme noch
von den 1.2.X - Versionen), er lässt mich aber nicht, weil er Eisgraph
Danke fuer die Rueckmeldung.

Das Problem ist bekannt und bereits in Arbeit.

Entweder kommt es mit 1.4.2 oder gleich mit 1.5.0 (Vorberitung auf den
Umzug von /usr/local nach /usr/lib).

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Thomas Quast
2020-04-16 19:39:00 UTC
Permalink
Post by Thomas Quast
Entweder kommt es mit 1.4.2 oder gleich mit 1.5.0 (Vorberitung auf den
Umzug von /usr/local nach /usr/lib).
Ich habe das mit Version 1.4.2 erschlagen, welche ab sofort auf

https://www.oritopha.de/index.txt

zur Installation zur Verfuegung steht.

Das Script /var/install/bin/check-package, aufgerufen aus /tmp/install.sh,
zur Ueberpruefung auf die passende Version von installierten Modulen und
ggf. Installation der benoetigten Version, fuehrte in eine endlose Schleife.
:-(

Dies habe ich nun gestrichen und eine eigene Routine eingebaut.

Erste Tests mit eisgraph 1.2.6 und entsprechenden Modulen (Version 1.2.*)
verliefen alle ohne Probleme. eisgraph wurde in einem Zug auf Version 1.4.2
gehoben und alle installierten Module wurden aktualisiert.

Gruss und danke fuer die Erinnerung,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Marcus Röckrath
2020-04-16 19:59:59 UTC
Permalink
Hallo Thomas,
Post by Thomas Quast
Das Script /var/install/bin/check-package, aufgerufen aus /tmp/install.sh,
zur Ueberpruefung auf die passende Version von installierten Modulen und
ggf. Installation der benoetigten Version, fuehrte in eine endlose Schleife.
:-(
Man sollte alle Checks nun mittels eiman check durchführen.

Ob man hier überhaupt checks machen sollte oder im eisgraph-Paket den Tag
linked-package dazu nutzt, dass Unterpakete automatisch mitaktualisiert
werden, wäre zu überlegen.
--
Gruß Marcus
[eisfair-Team]
Marcus Röckrath
2020-04-16 20:08:51 UTC
Permalink
Hallo,
Post by Marcus Röckrath
Man sollte alle Checks nun mittels eiman check durchführen.
Ostern ist vorbei: eisman check
--
Gruß Marcus
[eisfair-Team]
Thomas Quast
2020-04-17 17:56:00 UTC
Permalink
Post by Marcus Röckrath
Post by Thomas Quast
Das Script /var/install/bin/check-package, aufgerufen aus /tmp/install.sh,
zur Ueberpruefung auf die passende Version von installierten Modulen und
ggf. Installation der benoetigten Version, fuehrte in eine endlose Schleife.
:-(
Man sollte alle Checks nun mittels eiman check durchführen.
Diese Information ging wohl an mir vorueber.
Post by Marcus Röckrath
Ob man hier überhaupt checks machen sollte oder im eisgraph-Paket den Tag
linked-package dazu nutzt, dass Unterpakete automatisch mitaktualisiert
werden, wäre zu überlegen.
Leider laesst sich die Doku dazu in keinster Weise darueber aus, zu welchem
Zeitpunkt der Tag greift. Vor, waehrend, oder nach der Installation des
eigentlichen Paketes.

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Marcus Röckrath
2020-04-17 18:09:03 UTC
Permalink
Hallo Thomas,
Post by Thomas Quast
Post by Marcus Röckrath
Ob man hier überhaupt checks machen sollte oder im eisgraph-Paket den Tag
linked-package dazu nutzt, dass Unterpakete automatisch mitaktualisiert
werden, wäre zu überlegen.
Leider laesst sich die Doku dazu in keinster Weise darueber aus, zu
welchem Zeitpunkt der Tag greift. Vor, waehrend, oder nach der
Installation des eigentlichen Paketes.
Ist praktisch zum gleichen Zeitpunkt wie eine require-package. Bei
linked-package wird das Update aber nur durchgeführt, wenn das Paket schon
installiert ist.
--
Gruß Marcus
[eisfair-Team]
Thomas Quast
2020-04-17 18:54:00 UTC
Permalink
Post by Marcus Röckrath
Post by Thomas Quast
Post by Marcus Röckrath
Ob man hier überhaupt checks machen sollte oder im eisgraph-Paket den Tag
linked-package dazu nutzt, dass Unterpakete automatisch mitaktualisiert
werden, wäre zu überlegen.
Leider laesst sich die Doku dazu in keinster Weise darueber aus, zu
welchem Zeitpunkt der Tag greift. Vor, waehrend, oder nach der
Installation des eigentlichen Paketes.
Ist praktisch zum gleichen Zeitpunkt wie eine require-package. Bei
linked-package wird das Update aber nur durchgeführt, wenn das Paket schon
installiert ist.
Also zuerst die Pakete in linked-package, dann das Primaere Paket?

Das wuerde nicht funktionieren, da die Module vom Paket eisgraph abhaengen.

Hier _muss_ zuerst das Basispaket eisgraph aktualisiert werden, dann erst die
Module. Alles andere fuehrt zu unerwuenschten Fehlern.

Also doch meine eigene Loesung.

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Marcus Röckrath
2020-04-17 19:37:50 UTC
Permalink
Hallo Thomas,
Post by Thomas Quast
Also zuerst die Pakete in linked-package, dann das Primaere Paket?
Ja.
Post by Thomas Quast
Das wuerde nicht funktionieren, da die Module vom Paket eisgraph abhaengen.
Hier _muss_ zuerst das Basispaket eisgraph aktualisiert werden, dann erst
die Module. Alles andere fuehrt zu unerwuenschten Fehlern.
Also doch meine eigene Loesung.
Wobei ich das Problem sehe, dass während eisman noch in einer Installation
steckt, denn die ist er nach Beendigung von install.sh beendet, rufst du
eine weitere Installation verschachtelt auf.

Daniel wird da genaues zu sagen können.

IMHO kann diese Prüfung gänzlich in eisgraph entfallen.

Wenn eisgraph aktualisiert wird, betrifft das die Subpakete nicht.

Werden die Subpakete aktualisiert wird über ein eisgraph-require in diesen
über die ganz normale Automatik zunächst eisgraph installiert.
--
Gruß Marcus
[eisfair-Team]
Holger Bruenjes
2020-04-17 19:50:47 UTC
Permalink
Hallo
Post by Thomas Quast
Also zuerst die Pakete in linked-package, dann das Primaere Paket?
Ja.
nein, die linked Pakete kommen hinterher

Holger
Marcus Röckrath
2020-04-17 20:08:56 UTC
Permalink
Hallo Holger,
Post by Holger Bruenjes
Post by Thomas Quast
Also zuerst die Pakete in linked-package, dann das Primaere Paket?
Ja.
nein, die linked Pakete kommen hinterher
Immer?

Mein Test:

libmikmod3 2.8.3
libmikmod-dev 2.8.2 (manuell zurückgesetzt)

Danach:

eis # eisman install libmikmod3

The following packages will be installed:

version status name source
---------------------------------------------------------------------
2.8.3 stable libmikmod-dev https://www.pack-eis.de
2.8.3 stable libmikmod3 https://www.pack-eis.de

2 package(s) using approx. 2 MB of disk space.

Continue (y/n) [yes]?
Downloading required packages ...
=> [####################] libmikmod-dev (2.8.3)...
[ OK ]
=> [####################] libmikmod3 (2.8.3)...
[ OK ]
Done!
Installation of: libmikmod-dev (2.8.3) ...
Successfully installed: libmikmod-dev (2.8.3)!
Installation of: libmikmod3 (2.8.3) ...
Successfully installed: libmikmod3 (2.8.3)!
--
Gruß Marcus
[eisfair-Team]
Holger Bruenjes
2020-04-17 20:19:30 UTC
Permalink
Hallo Marcus
Post by Marcus Röckrath
Immer?
ja
ist so nicht richtig
Post by Marcus Röckrath
libmikmod3 2.8.3
libmikmod-dev 2.8.2 (manuell zurückgesetzt)
der require fuer libmikmod-dev libmikmod3 ist ja mit der
installierten Version 2.8.3 erfuellt, somit ist die Reihenfolge
unerheblich. bzw. es ist ein drueberbuegeln der libmikmod3.

Wenn Du so einen Test machen willst, muss schon bei beiden Paketen
die Version _neu_ sein

Holger
Thomas Quast
2020-05-26 13:14:00 UTC
Permalink
Hallo Holger,
Post by Holger Bruenjes
Post by Thomas Quast
Also zuerst die Pakete in linked-package, dann das Primaere Paket?
Ja.
nein, die linked Pakete kommen hinterher
Hm, also irgendwie passt das was nicht. Habe jetzt eisgraph soweit umgebaut,
das es auch mit linked-package zurechtkommt. (Intern wird nach update von
eisgraph jede Datei aus den anderen Paketen mittels sed patched.)

Doch es funktioniert so nicht.

Kann es sein, das linked-package nur bei stable greift, testing und unstable
aber ausser acht laesst?

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Holger Bruenjes
2020-05-26 13:27:47 UTC
Permalink
Hallo Thomas
Post by Thomas Quast
Hm, also irgendwie passt das was nicht. Habe jetzt eisgraph soweit umgebaut,
das es auch mit linked-package zurechtkommt. (Intern wird nach update von
eisgraph jede Datei aus den anderen Paketen mittels sed patched.)
Doch es funktioniert so nicht.
Kann es sein, das linked-package nur bei stable greift, testing und unstable
aber ausser acht laesst?
hmm, kannst Du mal genauer erklaeren was wann wie passieren
soll|muss|warum. So kann ich das Problem nicht erkennen.

Holger
Thomas Quast
2020-05-26 13:47:00 UTC
Permalink
Hallo Holger,
Post by Holger Bruenjes
Post by Thomas Quast
Hm, also irgendwie passt das was nicht. Habe jetzt eisgraph soweit
umgebaut, das es auch mit linked-package zurechtkommt. (Intern wird nach
update von eisgraph jede Datei aus den anderen Paketen mittels sed
patched.)
Doch es funktioniert so nicht.
Kann es sein, das linked-package nur bei stable greift, testing und
unstable aber ausser acht laesst?
hmm, kannst Du mal genauer erklaeren was wann wie passieren
soll|muss|warum. So kann ich das Problem nicht erkennen.
Ok, hole ich etwas weiter aus.

Ausgehend vom Posting vom 16.04.2020 21:39 in diesem Thread:

-----cut-----cut-----cut-----cut-----cut-----cut-----cut-----
Das Script /var/install/bin/check-package, aufgerufen aus /tmp/install.sh,
zur Ueberpruefung auf die passende Version von installierten Modulen und
ggf. Installation der benoetigten Version, fuehrte in eine endlose Schleife.


Dies habe ich nun gestrichen und eine eigene Routine eingebaut.

Erste Tests mit eisgraph 1.2.6 und entsprechenden Modulen (Version 1.2.*)
verliefen alle ohne Probleme. eisgraph wurde in einem Zug auf Version 1.4.2
gehoben und alle installierten Module wurden aktualisiert.
-----cut-----cut-----cut-----cut-----cut-----cut-----cut-----

habe ich eisgraph abermals umgebaut und auf linked-package ausgerichtet.

Eine Aktualisierung der Modul-Pakete waehrend der Aktualisierung von eisgraph
findet nun nicht mehr. Um den Ablauf aber nicht zu stoeren und unnoetige
Fehler zu produzuieren, werden relevante Dateien aus den Modulen 'patched',
damit diese mit den neuen Pfaden zurecht kommen. /usr/lib/eisgraph gibt es
schliesslich nicht mehr. Mache ich diesen Patch nicht, kommt es
Fehlermeldungen und ein Update der Module ist nicht mehr gewaehrleistet.

So aber laeuft alles durch und der Betrieb geht ohne Fehler weiter.

Soviel zu 'testing by hand'. Nun wollte ich aber das sauber mit linked-package
loesen, da es einzeln von Hand und kontrollierten Bedingungen funktionierte.

Ein Auszug aus der Package-Datei sieht so aus:

[...]
<section>utils</section>
<require-package>rrdtool 2.8.8</require-package>
<require-package>fonts-utf8-dejavu 1.0.0</require-package>
<linked-package>eisgraph_mod_port 1.5.1</linked-package>
<linked-package>eisgraph_mod_hddtemp 1.5.1</linked-package>
<linked-package>eisgraph_mod_lmsensors 1.5.0</linked-package>
<description>
[...]

Damit sollte es eigentlich funktionieren. Das Update von eisgraph wird
angestossen und durchlaufen, die linked package kommen automatsich hinterher.

Doch dem ist nicht so. Es laeuft das Update durch und dann ... nichts.
Die Module werden dabei nicht beruecksichtigt. Es kommen auch keine
Fehlermeldungen.

Die zugehoerige index.txt wurde natuerlich aktualisiert und mittels
'eisman update' bzw. 'Update local database' auf richtigkeit geprueft.

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Holger Bruenjes
2020-05-26 14:08:51 UTC
Permalink
Hallo Thomas
Post by Thomas Quast
Soviel zu 'testing by hand'. Nun wollte ich aber das sauber mit linked-package
loesen, da es einzeln von Hand und kontrollierten Bedingungen funktionierte.
[...]
<section>utils</section>
<require-package>rrdtool 2.8.8</require-package>
<require-package>fonts-utf8-dejavu 1.0.0</require-package>
<linked-package>eisgraph_mod_port 1.5.1</linked-package>
<linked-package>eisgraph_mod_hddtemp 1.5.1</linked-package>
<linked-package>eisgraph_mod_lmsensors 1.5.0</linked-package>
<description>
[...]
Damit sollte es eigentlich funktionieren. Das Update von eisgraph wird
angestossen und durchlaufen, die linked package kommen automatsich hinterher.
Doch dem ist nicht so. Es laeuft das Update durch und dann ... nichts.
Die Module werden dabei nicht beruecksichtigt. Es kommen auch keine
Fehlermeldungen.
und die Version ist hoeher als die installierte?

linked-package Version

heisst: Wenn das Paket installiert ist, ist diese Version
erforderlich und wird dann im Anschluss installiert, dass wird auch
schon gleich am Anfang mit aufgelistet. Bevor die Installation mit
'y' angestossen wird. Wenn die nicht mit aufgelistet werden, stimmt
die neue Version nicht.

Es ist mit etwas Handarbeit aber moeglich die Version in der
installed.db zum testen zurueckzusetzen.

Holger
Thomas Quast
2020-05-26 14:20:00 UTC
Permalink
Hallo Holger,
Post by Holger Bruenjes
Post by Thomas Quast
Doch dem ist nicht so. Es laeuft das Update durch und dann ... nichts.
Die Module werden dabei nicht beruecksichtigt. Es kommen auch keine
Fehlermeldungen.
und die Version ist hoeher als die installierte?
linked-package Version
Ja.
Post by Holger Bruenjes
Es ist mit etwas Handarbeit aber moeglich die Version in der
installed.db zum testen zurueckzusetzen.
siehe anderes Posting von mir.

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Thomas Quast
2020-05-26 14:18:00 UTC
Permalink
Post by Marcus Röckrath
Hallo Holger,
<linked-package>eisgraph_mod_port 1.5.1</linked-package>
<linked-package>eisgraph_mod_hddtemp 1.5.1</linked-package>
<linked-package>eisgraph_mod_lmsensors 1.5.0</linked-package>
<description>
[...]
Damit sollte es eigentlich funktionieren. Das Update von eisgraph wird
angestossen und durchlaufen, die linked package kommen automatsich hinterher.
Doch dem ist nicht so. Es laeuft das Update durch und dann ... nichts.
Die Module werden dabei nicht beruecksichtigt. Es kommen auch keine
Fehlermeldungen.
Die zugehoerige index.txt wurde natuerlich aktualisiert und mittels
'eisman update' bzw. 'Update local database' auf richtigkeit geprueft.
Habe jetzt eisman vergewaltigt und die Verzeichnisse

/var/lib/eisman/info/eisgraph/1.5.0
/var/lib/eisman/info/eisgraph_mod_lmsensors/1.5.0
/var/lib/eisman/info/eisgraph-mod_port/1.5.1

geloescht.

Anscliessend noch die Eintrage aus /var/lib/eisman/packages.db geloescht.

Und siehe da, nach einem ereuten 'eisman update' und update von eisgraph
wurden die anderen Pakete auch herunter geladen, was vorher nicht passierte.

Das Update lief dann mit allen Paketen sauber durch.

Ich benutze hier zum testen einen eigenen Packageserver. Muss ich das Prozedere
jetzt immer machen, wenn ich sowas testen will?

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Marcus Röckrath
2020-05-26 14:27:27 UTC
Permalink
Hallo Thomas,
Post by Thomas Quast
Post by Thomas Quast
<linked-package>eisgraph_mod_port 1.5.1</linked-package>
<linked-package>eisgraph_mod_hddtemp 1.5.1</linked-package>
<linked-package>eisgraph_mod_lmsensors 1.5.0</linked-package>
<description>
[...]
Die zugehoerige index.txt wurde natuerlich aktualisiert und mittels
'eisman update' bzw. 'Update local database' auf richtigkeit geprueft.
Habe jetzt eisman vergewaltigt und die Verzeichnisse
/var/lib/eisman/info/eisgraph/1.5.0
/var/lib/eisman/info/eisgraph_mod_lmsensors/1.5.0
/var/lib/eisman/info/eisgraph-mod_port/1.5.1
geloescht.
Anscliessend noch die Eintrage aus /var/lib/eisman/packages.db geloescht.
Und siehe da, nach einem ereuten 'eisman update' und update von eisgraph
wurden die anderen Pakete auch herunter geladen, was vorher nicht passierte.
Das Update lief dann mit allen Paketen sauber durch.
Ich benutze hier zum testen einen eigenen Packageserver. Muss ich das
Prozedere jetzt immer machen, wenn ich sowas testen will?
Hattest du eisgraph_mod_lmsensors und eisgraph_mod_port neu gepackt, ohne
die Versionssnummer zu erhöhen?
--
Gruß Marcus
[eisfair-Team]
Holger Bruenjes
2020-05-26 14:31:02 UTC
Permalink
Hallo Thomas
Post by Thomas Quast
Ich benutze hier zum testen einen eigenen Packageserver. Muss ich das Prozedere
jetzt immer machen, wenn ich sowas testen will?
Das hat mit einem eigenen Paketserver nichts zu tun. eisman geht
nach der Version, wenn sie installiert ist ist das OK.

Holger
Thomas Quast
2020-05-26 14:38:00 UTC
Permalink
Hallo Holger,
Post by Holger Bruenjes
Post by Thomas Quast
Ich benutze hier zum testen einen eigenen Packageserver. Muss ich das
Prozedere jetzt immer machen, wenn ich sowas testen will?
Das hat mit einem eigenen Paketserver nichts zu tun. eisman geht
nach der Version, wenn sie installiert ist ist das OK.
Ok. Wenn ein Paket einmal installiert wurde, bemerkt eisman nicht, wenn
sich die info-Datei bei der naechsten Installation geaendert hat?

Ich teste mit Installation und Deinstallation, wieder und wieder.
Die Versionsnummer bleibt dabei gleich und einen SHA gibt es dabei nicht.

Jetzt habe ich die info-Datei angepasst und eisman achtet nicht darauf.

Ok, dann weiss ich jetzt Bescheid. Aendere ich die info-Datei, muss ich
die package.db vorher bearbeiten.

Gruss,
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Marcus Röckrath
2020-05-26 16:21:33 UTC
Permalink
Hallo Thomas,
Post by Thomas Quast
Ok. Wenn ein Paket einmal installiert wurde, bemerkt eisman nicht, wenn
sich die info-Datei bei der naechsten Installation geaendert hat?
Nein.

Wenn in eisgraph

<linked-package>eisgraph_mod_port 1.5.1</linked-package>

steht, wird

eisgraph_mod_port upgedatet, wenn es in einer älteren Version installiert
ist.

Es wird weder neu installiert noch in gleicher Version erneut installiert.
--
Gruß Marcus
[eisfair-Team]
Marcus Röckrath
2020-05-26 16:23:16 UTC
Permalink
Hallo Thomas,
Post by Thomas Quast
Ok, dann weiss ich jetzt Bescheid. Aendere ich die info-Datei, muss ich
die package.db vorher bearbeiten.
???

Ich hoffe nicht, dass du bei den Anwendern manuell an der packages.db
Änderungen druchführst.

Das man zum Testen das auf dem eigenen Entwicklungssystem macht, hat damit
natürlich nichts zu tun, das mache ich hier natürlich auch schonmal.
--
Gruß Marcus
[eisfair-Team]
Thomas Quast
2020-05-26 18:08:00 UTC
Permalink
Post by Marcus Röckrath
Post by Thomas Quast
Ok, dann weiss ich jetzt Bescheid. Aendere ich die info-Datei, muss ich
die package.db vorher bearbeiten.
???
Ich hoffe nicht, dass du bei den Anwendern manuell an der packages.db
Änderungen druchführst.
Ach Marcus, haettest Du doch nur einmal meine Postings ganz gelesen und nicht
nur ueberflogen, dann haettest Du bestimmt nicht sowas geantwrotet. Holger hat
es gleich verstanden.

HTH
Thomas
--
Packageserver: https://www.oritopha.de/index.txt
Marcus Röckrath
2020-05-26 13:26:40 UTC
Permalink
Hallo Thomas,
Post by Thomas Quast
(Intern wird nach
update von eisgraph jede Datei aus den anderen Paketen mittels sed
patched.)
Was wird denn in den anderen Paketen gepatcht?

Wieso sollte ein eisgraph-Update ein Patchen der anderen Pakete nötig
machen?
--
Gruß Marcus
[eisfair-Team]
Ralph Mory
2019-12-25 22:22:30 UTC
Permalink
Post by W. Loefstedt
Hallo allerseits,
beim update auf eisgraph v1.4.1 landet das Modul eisgraph_mod_hddtemp in
..habe die Module einzeln installiert und eisgraph als Letztes... damit
ging es dann bei mir..

Gruß Ralph
Wolfgang Loefstedt
2019-12-29 11:09:37 UTC
Permalink
Hallo Ralph,
danke fÃŒr die Nachricht, ich versuche es, wenn ich wieder da bin.
Schöne Feiertage,
Wolfgang
W. Loefstedt
2020-01-08 19:46:24 UTC
Permalink
...habe die Module einzeln installiert und eisgraph als Letztes... damit
ging es dann bei mir..
Hat funktioniert, danke und Gruss,
Wolfgang
Loading...